Subject: Re: [PATCH v5] doc: add an explanation of Git's data model

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Nov 2025 07:38:52 -0800

Patrick Steinhardt <[email-masked]> writes:

> We'd refer to the top-level directory when talking about the worktree.
> But what's referenced here is not referring to the worktree, but to the
> commit's tree. And here I think we rather consistently use "root tree",
> don't we? Our docs already mention "root tree" in several contexts.

Ah, thanks.  I wasn't aware that we use the phrase "root tree"; I
recall that I've always said something awkward like "the tree that
corresponds to the top-level of your working tree", due to lack of
that exact word.

It would be nice to add it to Documentation/glossary-content.adoc,
perhaps?  Here is my attempt (I am not committing this, and I won't
be polishing it myself, but recording it as #leftoverbit material
for somebody else to polish and make it a part of our documentation
set).

 Documentation/glossary-content.adoc | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git c/Documentation/glossary-content.adoc w/Documentation/glossary-content.adoc
index e423e4765b..bdf469f137 100644
--- c/Documentation/glossary-content.adoc
+++ w/Documentation/glossary-content.adoc
@@ -627,6 +627,12 @@ the `refs/tags/` hierarchy is used to represent local tags..
 	To throw away part of the development, i.e. to assign the
 	<<def_head,head>> to an earlier <<def_revision,revision>>.
 
+[[def_root_tree]]root tree::
+	The tree objct that corresponds to the top-level directory
+	of a checkout of the project.  A <<def_commit,commit>> object
+	holds a snapshot of the project state by recording the object
+	name of its root tree.
+
 [[def_SCM]]SCM::
 	Source code management (tool).